edu.cmu.pslc.logging.distiller

## Class AndesDistiller

- java.lang.Object
- - edu.cmu.pslc.logging.distiller.AndesDistiller

-     public class AndesDistiller
      extends java.lang.Object

  A distiller to transform the Andes data from using interpretations (the new way) to using event descriptors (the old way). It will also apply the location heuristic.
  Version:
    $Revision: 4441 $
    Last modified by: $Author: bkb $
    Last modified on: $Date: 2008-01-07 10:17:45 -0500 (Mon, 07 Jan 2008) $
  Author:
    Alida Skogsholm

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AndesDistiller()` Default constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `handleOptions(java.lang.String[] args)` Handle the command line arguments.
    `void` | `justDoIt()` Read and parse the files in the input directory and put modified files in the output directory.
    `static void` | `main(java.lang.String[] args)` Main.
    `void` | `takeAPeek()` Compares the prevStudentID with the nextStudent id to see if they are the same.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AndesDistiller

          public AndesDistiller()

      Default constructor.

  - ### Method Detail

    - #### takeAPeek

          public void takeAPeek()

      Compares the prevStudentID with the nextStudent id to see if they are the same. If so, write the modified xml file.

    - #### justDoIt

          public final void justDoIt()

      Read and parse the files in the input directory and put modified files in the output directory.

    - #### handleOptions

          protected void handleOptions(java.lang.String[] args)

      Handle the command line arguments.
      Parameters:
        `args` - - command line arguments passed into main

    - #### main

          public static void main(java.lang.String[] args)

      Main.
      Parameters:
        `args` - command line arguments

Copyright (c) 2015 - Pittsburgh Science of Learning Center